%if 0%{?el7}
%define dist .el7
%endif

Name:		libtrace
Version:	4.0.5
Release:	1%{?dist}
Summary:	library for trace processing.

Group:		Applications/Internet
License:	GPLv2
URL:		http://research.wand.net.nz/software/libtrace.php
Source0:	http://research.wand.net.nz/software/libtrace/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libpcap-devel ncurses-devel libwandio-devel
BuildRequires:	bzip2-devel zlib-devel lzo-devel
BuildRequires:	bison flex doxygen
BuildRequires:  gcc gcc-c++

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
libtrace was primarily designed for use with the real-time interface to the
Waikato DAG Capture Point software running at The University of Waikato,
and has been since extended to a range of other trace and interface formats.

%package devel
Summary:	libraries for libtrace
Group:		System Environment/Libraries

%description devel
libraries for libtrace

%prep
%setup -q


%build
%configure \
	--enable-shared \
	--disable-static \
	--with-llvm \
	--with-ncurses \
	--with-bzip2 \
	--with-zlib \
	--with-lzo

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%files
%doc INSTALL README
%{!?_licensedir:%global license %%doc}
%license COPYING
%defattr(-,root,root,-)
%{_bindir}/trace*
%{_mandir}/man1/trace*.1*
%{_mandir}/man3/trace*.3*
%{_libdir}/libtrace.so.*
%{_libdir}/libpacketdump.so.*

%files devel
%{_includedir}/*.h
%{_includedir}/%{name}/*.h
%{_libdir}/libtrace.so
%{_libdir}/libpacketdump.so
%dir %{_libdir}/libpacketdump
%{_libdir}/libpacketdump/*.so*
%{_libdir}/libpacketdump/*.protocol
%{_mandir}/man3/libtrace*.3*

%changelog
* Sun Nov 25 2018 momo-i <webmaster@momo-i.org> - 4.0.5-1
- Update to 4.0.5

* Thu Jul 12 2018 momo-i <webmaster@momo-i.org> - 4.0.4-1
- Update to 4.0.4

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 3.0.22-4
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 3.0.22-3
- Rebuilt for fc23

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 3.0.22-2
- Rebuilt for fc22
- Update to 3.0.22

* Thu Nov 13 2014 momo-i <webmaster@momo-i.org> - 3.0.21-2
- Update to 3.0.21
- change license dir

* Tue Jan  7 2014 momo-i <webmaster@momo-i.org> - 3.0.18-2
- Update info

* Fri Nov 29 2013 momo-i <webmaster@momo-i.org> - 3.0.18-1
- Update to 3.0.18

* Tue Mar  5 2013 momo-i <webmaster@momo-i.org> 3.0.16-1
- Update 3.0.16

* Wed Aug  1 2012 momo-i <webmaster@momo-i.org> 3.0.14-1
- Initial rpm release.
